Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MovePrevUnique Method (DatabaseEntry, DatabaseEntry)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MovePrevUnique is identical to MoveLast()()(). Otherwise, move the cursor to the previous non-duplicate key in the database, and store that key and associated datum in Current. MovePrevUnique returns false if ntheo non-duplicate key/data pairs exist after the cursor position in database. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MovePrevUnique is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public bool MovePrevUnique(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)
    Public Function MovePrevUnique ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As Boolean

Visual C++
    public:
    bool MovePrevUnique(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MovePrevUnique Overload
BerkeleyDB Namespace